 /*
    GSFuzzy Tests main.m 
 
    Copyright (C) 2014 Free Software Foundation, Inc.
 
    Author: Johan Ceuppens <johan@yellowcouch.org> 
    Date: Dec 2014
 
    This file is part of GNUstep.
 
    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.
 
    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
    Lesser General Public License for more details.
 
    You should have received a copy of the GNU Lesser General Public
    License along with this library; see the file COPYING.LIB.
    If not, see <http://www.gnu.org/licenses/> or write to the
    Free Software Foundation, 51 Franklin Street, Fifth Floor,
    Boston, MA 021101301, USA.
 */

#import "FuzzyUpdateTestDTree.h"
#import "FuzzyPaintTestRules.h"

#import <Foundation/Foundation.h>
#import <AppKit/AppKit.h>

int main(int argc, const char **argv, char **env)
{

NSAutoreleasePool *pool;
   NSApplication *app;
   NSMenu *mainMenu;
   NSMenu *menu;
   NSMenuItem *menuItem;

   pool = [NSAutoreleasePool new];
   app = [NSApplication sharedApplication];

   //
   // Create the Menu
   //

   // Main Menu
   //mainMenu = AUTORELEASE ([NSMenu new]);
   mainMenu = [NSMenu new];

   // Info SubMenu
   menuItem = (NSMenuItem *)[mainMenu addItemWithTitle: @"Info"
                        action: NULL
                        keyEquivalent: @""];
   //menu = AUTORELEASE ([NSMenu new]);
   menu = [NSMenu new];
   [mainMenu setSubmenu: menu forItem: menuItem];
   [menu addItemWithTitle: @"Info Panel..."
         action: @selector (orderFrontStandardInfoPanel:)
         keyEquivalent: @""];
   [menu addItemWithTitle: @"Preferences..."
         action: @selector (runPreferencesPanel:)
         keyEquivalent: @""];
   [menu addItemWithTitle: @"Help..."
         action: @selector (orderFrontHelpPanel:)
         keyEquivalent: @"?"];

   // Game MenuItem.
   menuItem = (NSMenuItem *)[mainMenu addItemWithTitle: @"New game"
                        action: @selector(newGame:)
                        keyEquivalent: @""];

   // Hide MenuItem
   [mainMenu addItemWithTitle: @"Hide"
             action: @selector (hide:)
             keyEquivalent: @"h"];

   // Quit MenuItem
   [mainMenu addItemWithTitle: @"Quit"
             action: @selector (terminate:)
             keyEquivalent: @"q"];

   [app setMainMenu: mainMenu];

   FuzzyUpdateDTree *dtree = [[FuzzyUpdateDTree new] init:[[FuzzyDTreeFactory new] init:[FuzzyInference new]]];
   [dtree makeUpdateDTree];

   NSApplicationMain(argc, argv);

   [[NSUserDefaults standardUserDefaults] synchronize];

   [pool release]; /* actually useless */
   return 0;
} 
